# Uses of Class
javax.crypto.KEM.Decapsulator

Packages that use KEM.Decapsulator
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KEM.Decapsulator in javax.crypto

Methods in javax.crypto that return KEM.Decapsulator
Modifier and Type
Method
Description
`KEM.Decapsulator`
KEM.`newDecapsulator(PrivateKey privateKey)`
Creates a KEM decapsulator on the KEM receiver side.
`KEM.Decapsulator`
KEM.`newDecapsulator(PrivateKey privateKey, AlgorithmParameterSpec spec)`
Creates a KEM decapsulator on the KEM receiver side.